#ifndef _lovec_h
#define _lovec_h

#include <stdio.h>
#include <math.h>
#include <vector>

class Koordinate {
public:
	int x,y;
	Koordinate(int _x, int _y) : x(_x), y(_y) {}
};

const int MAX_KORAKOV = 10000;

class Lovec {
public:
	static char* Ime;

	int N, K;
	std::vector<Koordinate> zakladi;

	void ZbudiSe(int N, int K, Koordinate jaz, Koordinate nasprotnik, std::vector<Koordinate> &zakladi);
	void KamGres(Koordinate jaz, Koordinate nasprotnik, std::vector<Koordinate> &zakladi, int &dx, int &dy);
	void KonecIgre();
};

#endif
